### Signal

# WebKit WebView::mouse-target-changed

unstable since: 6.0

#### Declaration

    void
    mouse_target_changed (
      WebKitWebView* self,
      WebKitHitTestResult* hit_test_result,
      guint modifiers,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when the mouse cursor moves over an element such as a link, image or a media element. To determine what type of element the mouse cursor is over, a Hit Test is performed on the current mouse coordinates and the result is passed in the `hit_test_result` argument. The `modifiers` argument is a bitmask of `GdkModifierType` flags indicating the state of modifier keys. The signal is emitted again when the mouse is moved out of the current element with a new `hit_test_result`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 6.0

#### Parameters

`hit_test_result`

  Type: `WebKitHitTestResult`

  A `WebKitHitTestResult`.

  The data is owned by the caller of the function.

`modifiers`

  Type: `guint`

  A bitmask of `GdkModifierType`.